Name:           perl-DateTime-Format-HTTP
Version:        0.37
Release:        %mkrel 2
Summary:        HTTP protocol date conversion routines 
Group:          Development/Perl
License:        Artistic or GPL        
URL:            http://search.cpan.org/dist/DateTime-Format-HTTP            
Source0: http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Format-HTTP-%{version}.tar.xz       
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  perl
BuildRequires:  perl(DateTime) >= 0.17, perl(HTTP::Date) => 1.44
BuildRequires:  perl(Test::More) >= 0.47, perl(Module::Build)
BuildRequires:  perl(File::Find::Rule)


%description
This module provides functions that deal with the date formats used by the 
HTTP protocol (and then some).


%prep
%setup -q -n DateTime-Format-HTTP-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

# American English, bitte
mv LICENCE LICENSE


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
# These will be VERY noisy.  Don't Panic.
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS Changes COPYING Artistic CREDITS README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Jul 22 2010 Texstar <texstar at gmail.com> 0.37-2pclos2010
- add verison to changelog
- convert to tar.xz
- fix rpm group to Development/Perl

* Wed Jun 23 2010 MBantz <martin dot bantz at gmail dot com> 0.37-1pclos2010
- Built for PCLinuxOS from cweyl dot drew dot edu
